function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
	if sender==100 then
		delete_tree_leaf("Root","comics");
		setnextlavel(3);
		loadlavel();	
	return;end;




	if sender==28 then
	if flags.skip then
	    BlockCursor(false);
		WaitRender();
	return;end;
	if obj_id==1  then
		if frame==-1 then
			BlockCursor(false);
			speciale_action(2,14);
			speciale_action(2,11);
			ScaleObject(2,0.9,1);
			setcolor(1100,1,1,1,1,1);
			set_text(1100,"250");
			setcolor(3,0.6,0.6,0.6,1);
			setcolor(2,1,1,1,1); 	
		return;end;
		
		if frame==3 then
			WaitRender();
		return;end;
	return;end;
	if obj_id==3 then
		if frame==1 then
			BlockCursor(false);
		return;end;
		if frame==3 then
			BlockCursor(false);	
		return;end;
	return;end;


	return;end;	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender == 1 then --кликнули левой кнопкой мыши на активный объект
	
			if obj_id==11 then
				flags.skip=true;
				BlockCursor(true);
				speciale_action(2,1100);
				MoveObjectY(1,-200,-385,2);
			--	MoveObjectY(11,20,-200,2);
			SetAlfa(11,0,0,1);
			SetAlfa(14,0,0,1);
				MoveObjectY(12,610,768,2);
				--MoveObjectY(14,768,768,2);
				setcolor(1100,1,1,1,0,1); 
				addfade(-35,0);		
				visible_object(-35);
				speciale_action(4,-35);	
			return;end;
			
	return;end;
	
	if sender == 6 then --кликнули левой кнопкой мыши на активный объект

		    frame=frame+1;
			
			
			if frame==0 then 
				speciale_action(2,3,true);
				speciale_action(2,4,true);
				ScaleObject(2,1,0.9);
 				ScaleObject(3,0.9,1);
				setcolor(2,0.6,0.6,0.6,1);
				setcolor(3,1,1,1,1); 
				set_text(1100,"251");
				speciale_action(2,5,true,3);
				speciale_action(2,14);
				speciale_action(2,15);			
			return; end;
			
			if frame==2 then 
				set_text(1100,"252");
				ScaleObject(2,0.9,1);
				ScaleObject(3,1,0.9);
				setcolor(3,0.6,0.6,0.6,1);
			    setcolor(2,1,1,1,1); 
				speciale_action(2,14);
				speciale_action(2,15);
			return; end;
			
			
			
			if frame==3 then 
				BlockCursor(true);
				speciale_action(2,1100);
				MoveObjectY(1,-200,-385,2);		
				--MoveObjectY(11,20,-200,2);
				MoveObjectY(12,568,768,2);
				--MoveObjectY(14,768,768,2);
				SetAlfa(11,0,0,1);
				SetAlfa(14,0,0,1);
				setcolor(1100,1,1,1,0,1); 
				addfade(-35,0);		
				visible_object(-35);
				speciale_action(4,-35);		
			return;end;  	
		
	return;end;
end
